## ECollectionAccountWizard ECollectionAccountWizard — Collection account wizard |

## Functions

GtkWidget * | e_collection_account_wizard_new ()
GtkWindow * | e_collection_account_wizard_new_window ()
ESourceRegistry * | e_collection_account_wizard_get_registry ()
gboolean | e_collection_account_wizard_get_can_run ()
void | e_collection_account_wizard_reset ()
gboolean | e_collection_account_wizard_next ()
gboolean | e_collection_account_wizard_prev ()
gboolean | e_collection_account_wizard_is_finish_page ()
void | e_collection_account_wizard_run ()
void | e_collection_account_wizard_run_finish ()
void | e_collection_account_wizard_abort ()

## Properties

gboolean | can-run | Read
gboolean | changed | Read
ESourceRegistry * | registry | Read / Write / Construct Only

## Signals

void | done | Action

## Types and Values

struct | ECollectionAccountWizard

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkNotebook
                        ╰── ECollectionAccountWizard

## Implemented Interfaces

ECollectionAccountWizard implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <e-util/e-util.h>

## Description

ECollectionAccountWizard is a configuration wizard which guides user through steps to created collection accounts. Such accounts provide multiple sources at once, being it address books, calendars, mail and others.

## Functions

### e_collection_account_wizard_new ()

    GtkWidget *
    e_collection_account_wizard_new (ESourceRegistry *registry);

Creates a new ECollectionAccountWizard instance.

#### Parameters

registry | an ESourceRegistry |

#### Returns

a new ECollectionAccountWizard.

[transfer full]

Since: 3.28

### e_collection_account_wizard_new_window ()

    GtkWindow *
    e_collection_account_wizard_new_window
                                   (GtkWindow *parent,
                                    ESourceRegistry *registry);

Creates a new ECollectionAccountWizard instance as part of a GtkWindow. This window takes care of all the ECollectionAccountWizard functionality.

#### Parameters

parent | an optional GtkWindow parent of the new window. | [nullable]
registry | an ESourceRegistry |

#### Returns

a new GtkWindow containing an ECollectionAccountWizard.

[transfer full]

Since: 3.32

### e_collection_account_wizard_get_registry ()

    ESourceRegistry *
    e_collection_account_wizard_get_registry
                                   (ECollectionAccountWizard *wizard);

Returns the ESourceRegistry passed to `e_collection_account_wizard_new()`.

#### Parameters

wizard | an ECollectionAccountWizard |

#### Returns

an ESourceRegistry.

[transfer none]

Since: 3.28

### e_collection_account_wizard_get_can_run ()

    gboolean
    e_collection_account_wizard_get_can_run
                                   (ECollectionAccountWizard *wizard);

Returns whether `e_collection_account_wizard_run()` can be called, that is, whether at least one worker is enabled to run and the `wizard` is not running.

#### Parameters

wizard | an ECollectionAccountWizard |

#### Returns

whether `e_collection_account_wizard_run()` can be called.

Since: 3.28

### e_collection_account_wizard_reset ()

    void
    e_collection_account_wizard_reset (ECollectionAccountWizard *wizard);

Resets content of the `wizard` to the initial state. This might be called whenever the widget is going to be shown.

#### Parameters

wizard | an ECollectionAccountWizard |

Since: 3.28

### e_collection_account_wizard_next ()

    gboolean
    e_collection_account_wizard_next (ECollectionAccountWizard *wizard);

Instructs the `wizard` to advance to the next step. It does nothing when there is an ongoing lookup or when the current page cannot be advanced.

This can influence `e_collection_account_wizard_is_finish_page()`.

#### Parameters

wizard | an ECollectionAccountWizard |

#### Returns

`TRUE`, when the step had been changed, `FALSE` otherwise. Note that when this is called on a finish page, then the `TRUE` means that the `wizard` finished all its settings and should be closed now.

Since: 3.28

### e_collection_account_wizard_prev ()

    gboolean
    e_collection_account_wizard_prev (ECollectionAccountWizard *wizard);

Instructs the `wizard` to go back to the previous step.

This can influence `e_collection_account_wizard_is_finish_page()`.

#### Parameters

wizard | an ECollectionAccountWizard |

#### Returns

`TRUE`, when the step had been changed, `FALSE` otherwise.

Since: 3.28

### e_collection_account_wizard_is_finish_page ()

    gboolean
    e_collection_account_wizard_is_finish_page
                                   (ECollectionAccountWizard *wizard);

#### Parameters

wizard | an ECollectionAccountWizard |

#### Returns

whether the `wizard` is at the last page.

Since: 3.28

### e_collection_account_wizard_run ()

    void
    e_collection_account_wizard_run (ECollectionAccountWizard *wizard,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Runs lookup for all enabled lookup workers. Finish the call with `e_collection_account_wizard_run_finish()` from the `callback` .

This function can be called only if `e_collection_account_wizard_get_can_run()` returns `TRUE`.

#### Parameters

wizard | an ECollectionAccountWizard |
callback | a callback to call, when the run is finished |
user_data | user data for the `callback` |

Since: 3.28

### e_collection_account_wizard_run_finish ()

    void
    e_collection_account_wizard_run_finish
                                   (ECollectionAccountWizard *wizard,
                                    GAsyncResult *result);

Finishes the wizard run issued by `e_collection_account_wizard_run()`. It doesn't return anything, because everything is handled within the `wizard` , thus it is provided mainly for consistency with asynchronous API.

#### Parameters

wizard | an ECollectionAccountWizard |
result | result of the operation |

Since: 3.28

### e_collection_account_wizard_abort ()

    void
    e_collection_account_wizard_abort (ECollectionAccountWizard *wizard);

Aborts any ongoing operation the `wizard` may run. If there is nothing running, then does nothing.

#### Parameters

wizard | an ECollectionAccountWizard |

Since: 3.28

## Types and Values

### struct ECollectionAccountWizard

    struct ECollectionAccountWizard;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.28

## Property Details

### The `“can-run”` property

      “can-run”                  gboolean

Whether can call `e_collection_account_wizard_run()`. See `e_collection_account_wizard_get_can_run()` for more information.

Owner: ECollectionAccountWizard

Flags: Read

Default value: FALSE

Since: 3.28

### The `“changed”` property

      “changed”                  gboolean

Whether the settings of the wizard changed. When it did, a lookup will be run instead of moving to the next step.

Owner: ECollectionAccountWizard

Flags: Read

Default value: FALSE

Since: 3.34

### The `“registry”` property

      “registry”                 ESourceRegistry *

The ESourceRegistry manages ESource instances.

Owner: ECollectionAccountWizard

Flags: Read / Write / Construct Only

Since: 3.28

## Signal Details

### The `“done”` signal

    void
    user_function (ECollectionAccountWizard *uid,
                   char                     *arg1,
                   gpointer                  user_data)

Emitted to notify about the wizard being done.

#### Parameters

uid | an ESource UID which had been created |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.28